%define module  pam

Name: 		python-%{module}
Version: 	0.5.0
Release: 	8
Summary:        Python bindings for PAM
License:        GPL
Group:          Development/Python
URL:            http://www.pangalactic.org/PyPAM
Source:         PyPAM-%{version}.tar.bz2
Patch0:         PyPAM-dlopen.patch
Patch1:         PyPAM-0.5.0-dealloc.patch
Patch2:         PyPAM-0.5.0-nofree.patch
Patch3:         PyPAM-0.5.0-linkage.patch
BuildRequires:  pam-devel
BuildRequires:  python-devel

%description
This release supports the core PAM API. There is still some missing
functionality, but it should implement enough of the API for most
needs. There is not much in the way of documentation at this point. If
you are familiar with the PAM API, a quick glance at the sample program
should get you going.

%prep
%setup -q -n PyPAM-%{version}
%patch0 -p1 -b .dlopen
%patch1 -p1 -b .dealloc
%patch2 -p1 -b .nofree
%patch3 -p1 -b .linkage
# remove prebuild rpm and others binaries
rm -rf build dist

#rm examples/pamexample

%build
CFLAGS="%{optflags} -fno-strict-aliasing" python setup.py build
#export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py build

%install
python setup.py install --root=%{buildroot}
# Make sure we don't include binary files in the docs
chmod 644 examples/pamtest.py
rm -f examples/pamexample

%files
%doc AUTHORS NEWS README ChangeLog COPYING examples
%{_libdir}/python%{py_ver}/site-packages/*

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.5.0-8
+ Revision: 9787f8c
- MassBuild#440: Increase release tag


